diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
index d1036b33..4ea4872e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
@@ -6,46 +6,58 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
+from grappa import should
 
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class SchemaGetTestCase(BaseTestGenerator):
-    """ This class will add new schema under database node. """
-    scenarios = [
-        # Fetching default URL for extension node.
-        ('Check Schema Node URL', dict(url='/browser/schema/obj/'))
-    ]
+class TestSchemaGet:
+    def test_schema_get(self, request, context_of_tests):
+        """
+        When the schema get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    def runTest(self):
-        """ This function will delete schema under database node. """
-        schema = parent_node_dict["schema"][-1]
-        db_id = schema["db_id"]
-        server_id = schema["server_id"]
+        url = '/browser/schema/obj/'
 
-        server_response = server_utils.connect_server(self, server_id)
-        if not server_response["data"]["connected"]:
-            raise Exception("Could not connect to server to connect the"
-                            " database.")
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
-                                                 server_id,
-                                                 db_id)
+                                                 self.server_id,
+                                                 self.db_id)
         if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database to get the schema.")
+            raise Exception("Could not connect to database.")
 
-        schema_id = schema["schema_id"]
-        schema_response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(server_id) + '/' + str(db_id) +
-            '/' + str(schema_id),
+        response = self.tester.get(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id),
             content_type='html/json')
-        self.assertEquals(schema_response.status_code, 200)
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(self.schema_name)
+
+    def tearDown(self):
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
index 39d2bf91..c2966413 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
@@ -10,27 +10,45 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as schema_utils
 
 
-class SchemaPutTestCase(BaseTestGenerator):
-    """ This class will update the schema under database node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for extension node.
-        ('Check Schema Node URL', dict(url='/browser/schema/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestSchemaPut:
+    def test_schema_put(self, request, context_of_tests):
+        """
+        When the schema put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/schema/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        super(SchemaPutTestCase, self).setUp()
-        self.database_info = parent_node_dict["database"][-1]
-        self.db_name = self.database_info["db_name"]
-        # Change the db name, so that schema will create in newly created db
         self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:8]
         connection = utils.get_db_connection(self.db_name,
                                              self.server['username'],
@@ -40,25 +58,13 @@ class SchemaPutTestCase(BaseTestGenerator):
                                              self.server['sslmode'])
         self.schema_details = schema_utils.create_schema(connection,
                                                          self.schema_name)
-
-    def runTest(self):
-        """ This function will delete schema under database node. """
-
-        server_id = self.database_info["server_id"]
-        db_id = self.database_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to delete the"
-                            " schema.")
-        schema_id = self.schema_details[0]
-        schema_name = self.schema_details[1]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
-                                                      schema_name)
+                                                      self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to update.")
 
+        self.schema_id = self.schema_details[0]
         db_user = self.server["username"]
         data = {
             "deffuncacl": {
@@ -127,16 +133,28 @@ class SchemaPutTestCase(BaseTestGenerator):
                         }
                     ]
             },
-            "id": schema_id
+            "id": self.schema_id
         }
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(server_id) +
-            '/' + str(db_id) + '/' + str(schema_id),
+
+        response = self.tester.put(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id),
             data=json.dumps(data), follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        print(json_response)
+        assert_json_values_from_response(
+            json_response,
+            'schema',
+            'pgadmin.node.schema',
+            True,
+            'icon-schema',
+            self.schema_name
+        )
 
     def tearDown(self):
-        pass
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_utils.py
index 826c003c..bfaab816 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_utils.py
@@ -9,9 +9,11 @@
 
 import sys
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
     DataTypeReader
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 
 if sys.version_info < (3, 3):
     from mock import patch, Mock
@@ -43,76 +45,143 @@ _default_manager = dict(
 )
 
 
-class DataTypeReaderTest(BaseTestGenerator):
-    scenarios = [
-        ('Schema Oid is passed to the SQL Renderer',
-         dict(
-             manager=_default_manager,
-             execute_return_values=_default_database_response,
-             data_type_template_path='someplate/where/templates/are',
-             sql_condition='new condition',
-             schema_oid='123',
-             add_serials=False,
-             expected_sql_template_path='someplate/where/templates/are',
-             expected_function_output=_default_expected_function_output
-         )),
-        ('When no data_type_template_path is present in class, '
-         'should create template path with version number',
-         dict(
-             manager=_default_manager,
-             execute_return_values=_default_database_response,
-             sql_condition='new condition',
-             schema_oid='123',
-             add_serials=False,
-             expected_sql_template_path='datatype/sql/#456#',
-             expected_function_output=_default_expected_function_output
-         )),
-        ('When no data_type_template_path is present in class for GreenPlum, '
-         'should create template path with gpdb and the version number',
-         dict(
-             manager=dict(
-                 server_type='gpdb',
-                 version='456'
-             ),
-             execute_return_values=_default_database_response,
-             sql_condition='new condition',
-             schema_oid='123',
-             add_serials=False,
-             expected_sql_template_path='datatype/sql/#gpdb#456#',
-             expected_function_output=_default_expected_function_output
-         ))
-    ]
+class TestDataTypeReader(BaseTestGenerator):
 
     @patch('pgadmin.browser.server_groups.servers.databases.schemas.utils'
            '.render_template')
-    def runTest(self, template_mock):
+    def test_schema_oid(self, template_mock):
+        """Schema Oid is passed to the SQL Renderer"""
+        manager = _default_manager
+        sql_condition = 'new condition'
+        schema_oid = '123'
+        add_serials = False
+        expected_sql_template_path = 'someplate/where/templates/are'
+        expected_function_output = _default_expected_function_output
         template_mock.return_value = 'Some SQL'
         connection = Mock()
         connection.execute_2darray.return_value = [
             True,
             {
-                'rows': self.execute_return_values
+                'rows': _default_database_response
 
             }
         ]
-
         reader = DataTypeReader()
         reader.manager = Mock()
-        reader.manager.server_type = self.manager['server_type']
-        reader.manager.version = self.manager['version']
+        reader.manager.server_type = manager['server_type']
+        reader.manager.version = manager['version']
         try:
-            reader.data_type_template_path = self.data_type_template_path
+            reader.data_type_template_path = 'someplate/where/templates/are'
         except AttributeError:
             ''
-        result = reader.get_types(connection, self.sql_condition,
-                                  self.add_serials, self.schema_oid)
-        self.assertEqual(result[1], self.expected_function_output)
-        self.assertTrue(result[0])
+
+        result = reader.get_types(
+            connection,
+            sql_condition,
+            add_serials,
+            schema_oid
+        )
+
+        result | should.have.length.of(2)
+        result[1] | should.be.equal.to(expected_function_output)
+        result[0] | should.be.true
+
+        connection.execute_2darray.assert_called_with('Some SQL')
+        template_mock.assert_called_with(
+            expected_sql_template_path + '/get_types.sql',
+            condition=sql_condition,
+            add_serials=add_serials,
+            schema_oid=schema_oid
+        )
+
+    @patch('pgadmin.browser.server_groups.servers.databases.schemas.utils'
+           '.render_template')
+    def test_no_data_type_template_path(self, template_mock):
+        """
+        When no data_type_template_path is present in class,
+        should create template path with version number
+        """
+        manager = _default_manager
+        sql_condition = 'new condition'
+        schema_oid = '123'
+        add_serials = False
+        expected_sql_template_path = 'datatype/sql/#456#'
+        expected_function_output = _default_expected_function_output
+        template_mock.return_value = 'Some SQL'
+        connection = Mock()
+        connection.execute_2darray.return_value = [
+            True,
+            {
+                'rows': _default_database_response
+
+            }
+        ]
+        reader = DataTypeReader()
+        reader.manager = Mock()
+        reader.manager.server_type = manager['server_type']
+        reader.manager.version = manager['version']
+
+        result = reader.get_types(
+            connection,
+            sql_condition,
+            add_serials,
+            schema_oid
+        )
+
+        result | should.have.length.of(2)
+        result[1] | should.be.equal.to(expected_function_output)
+        result[0] | should.be.true
+
+        connection.execute_2darray.assert_called_with('Some SQL')
+        template_mock.assert_called_with(
+            expected_sql_template_path + '/get_types.sql',
+            condition=sql_condition,
+            add_serials=add_serials,
+            schema_oid=schema_oid
+        )
+
+    @patch('pgadmin.browser.server_groups.servers.databases.schemas.utils'
+           '.render_template')
+    def test_no_data_type_template_path_for_gpdb(self, template_mock):
+        """
+        When no data_type_template_path is present in class for GreenPlum,
+        should create template path with gpdb and the version number
+        """
+        manager = dict(server_type='gpdb', version='456')
+        sql_condition = 'new condition'
+        schema_oid = '123'
+        add_serials = False
+        expected_sql_template_path = 'datatype/sql/#gpdb#456#'
+        expected_function_output = _default_expected_function_output
+        template_mock.return_value = 'Some SQL'
+        connection = Mock()
+        connection.execute_2darray.return_value = [
+            True,
+            {
+                'rows': _default_database_response
+
+            }
+        ]
+        reader = DataTypeReader()
+        reader.manager = Mock()
+        reader.manager.server_type = manager['server_type']
+        reader.manager.version = manager['version']
+
+        result = reader.get_types(
+            connection,
+            sql_condition,
+            add_serials,
+            schema_oid
+        )
+
+        result | should.have.length.of(2)
+        result[1] | should.be.equal.to(expected_function_output)
+        result[0] | should.be.true
 
         connection.execute_2darray.assert_called_with('Some SQL')
         template_mock.assert_called_with(
-            self.expected_sql_template_path + '/get_types.sql',
-            condition=self.sql_condition,
-            add_serials=self.add_serials,
-            schema_oid=self.schema_oid
+            expected_sql_template_path + '/get_types.sql',
+            condition=sql_condition,
+            add_serials=add_serials,
+            schema_oid=schema_oid
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/__init__.py
index f3c56409..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class TypesTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
index 70b64a65..c25cb5ab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
@@ -10,60 +10,92 @@
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class TypesAddTestCase(BaseTestGenerator):
-    """ This class will add type under schema node. """
-    scenarios = [
-        ('Add type under schema node', dict(url='/browser/type/obj/'))
-    ]
+class TestTypesAdd:
+    def test_types_add(self, request, context_of_tests):
+        """
+        When the types add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/type/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a type.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a type.")
+            raise Exception("Could not find the schema.")
 
-    def runTest(self):
-        """ This function will add type under schema node. """
         db_user = self.server["username"]
-        self.type_name = "test_type_add_%s" % (str(uuid.uuid4())[1:8])
-        data = {"name": self.type_name,
-                "is_sys_type": False,
-                "typtype": "c",
-                "typeowner": db_user,
-                "schema": self.schema_name,
-                "composite": [{"member_name": "one", "type": "abstime",
-                               "is_tlength": False, "is_precision": False},
-                              {"member_name": "two", "type": "\"char\"[]",
-                               "is_tlength": False, "is_precision": False}],
-                "enum": [], "typacl": [], "seclabels": []}
+        type_name = "test_type_add_%s" % (str(uuid.uuid4())[1:8])
+        data = {
+            "name": type_name,
+            "is_sys_type": False,
+            "typtype": "c",
+            "typeowner": db_user,
+            "schema": self.schema_name,
+            "composite": [
+                {
+                    "member_name": "one", "type": "abstime",
+                    "is_tlength": False, "is_precision": False
+                },
+                {
+                    "member_name": "two", "type": "\"char\"[]",
+                    "is_tlength": False, "is_precision": False
+                }
+            ],
+            "enum": [], "typacl": [], "seclabels": []}
+
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/',
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'type',
+            'pgadmin.node.type',
+            False,
+            'icon-type',
+            type_name
+        )
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
index 0c887e3d..df6afba1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
@@ -9,58 +9,78 @@
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as types_utils
 
 
-class TypesDeleteTestCase(BaseTestGenerator):
-    """ This class will delete type under schema node. """
-    scenarios = [
-        ('Delete type under schema node', dict(url='/browser/type/obj/'))
-    ]
+class TestTypesDelete:
+    def test_types_delete(self, request, context_of_tests):
+        """
+        When the types delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/type/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to delete a type.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to delete a type.")
-        self.type_name = "test_type_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.type_id = types_utils.create_type(self.server, self.db_name,
-                                               self.schema_name, self.type_name
-                                               )
+            raise Exception("Could not find the schema.")
 
-    def runTest(self):
-        """ This function will delete type under schema node. """
+        type_name = "test_type_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.type_id = types_utils.create_type(self.server, self.db_name,
+                                               self.schema_name, type_name)
         type_response = types_utils.verify_type(self.server, self.db_name,
-                                                self.type_name)
+                                                type_name)
         if not type_response:
             raise Exception("Could not find the type to delete.")
+
         response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}".format(self.url, utils.SERVER_GROUP,
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
                                             self.server_id, self.db_id,
                                             self.schema_id, self.type_id
                                             ),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Type dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
